edu.ucsb.nceas.metacat.replication

## Class ReplicationServer

- java.lang.Object
- - edu.ucsb.nceas.metacat.replication.ReplicationServer

-     public class ReplicationServer
      extends java.lang.Object

  A class express a entry in xml_replication. It include server name, lastChechedDate, replication or not, dataReplication or not, hub or not

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReplicationServer()` Constructor of ReplicationServer

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getDataReplication()` Get datareplication xml or not option
    `boolean` | `getHub()` Get hub option
    `java.util.Date` | `getLastCheckedDate()` Get last checked date
    `boolean` | `getReplication()` Get replication xml or not option
    `java.lang.String` | `getServerName()` Get server name
    `void` | `setDataReplication(boolean myDataReplication)` Set data replication option
    `void` | `setHub(boolean myHub)` Set hub option
    `void` | `setLastCheckedDate(java.util.Date myLastCheckedDate)` Set a string as last checked date
    `void` | `setReplication(boolean myReplication)` Set replication option
    `void` | `setServerName(java.lang.String myServerName)` Set a sting as server name

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReplicationServer

          public ReplicationServer()

      Constructor of ReplicationServer

  - ### Method Detail

    - #### getServerName

          public java.lang.String getServerName()

      Get server name

    - #### setServerName

          public void setServerName(java.lang.String myServerName)

      Set a sting as server name
      Parameters:
        `myServerName,` - the string will set to object's serverName

    - #### getLastCheckedDate

          public java.util.Date getLastCheckedDate()

      Get last checked date

    - #### setLastCheckedDate

          public void setLastCheckedDate(java.util.Date myLastCheckedDate)

      Set a string as last checked date

    - #### getReplication

          public boolean getReplication()

      Get replication xml or not option

    - #### setReplication

          public void setReplication(boolean myReplication)

      Set replication option
      Parameters:
        `myReplication,` - the option will set to object's replication

    - #### getDataReplication

          public boolean getDataReplication()

      Get datareplication xml or not option

    - #### setDataReplication

          public void setDataReplication(boolean myDataReplication)

      Set data replication option
      Parameters:
        `myDataReplication,` - the option will set to object's datareplication

    - #### getHub

          public boolean getHub()

      Get hub option

    - #### setHub

          public void setHub(boolean myHub)

      Set hub option
      Parameters:
        `myHub,` - the option will set to object's hub option

Copyright © 2020 Regents of the University of California. All Rights Reserved.